> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.campflare.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Lands

> Finds land objects by name or location

```
GET /lands/search
```


## OpenAPI

````yaml GET /lands/search
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  version: 1.0.0
servers:
  - url: https://api.campflare.com/v2
security: []
paths:
  /lands/search:
    get:
      description: Finds land objects by name or location
      parameters:
        - name: point
          in: query
          description: >-
            Formatted as "{latitude},{longitude}". Gets all of the lands that
            contain that point. For example, searching at coordinates in
            Yosemite would return, Yosemite National Park, Fresno County,
            California, etc
          schema:
            type: string
        - name: query
          in: query
          description: Search query string to fuzzy match on.
          schema:
            type: string
      responses:
        '200':
          description: Array of lands
          content:
            application/json:
              schema:
                type: object
                required:
                  - lands
                properties:
                  lands:
                    type: array
                    items:
                      type: object
                      required:
                        - name
                        - id
                        - latitude
                        - longitude
                      properties:
                        name:
                          type: string
                          description: Land name
                        id:
                          type: string
                          description: Unique identifier for the land
                        latitude:
                          type: number
                          format: float
                          description: Latitude coordinate of land
                        longitude:
                          type: number
                          format: float
                          description: Longitude coordinate of land
                        kind:
                          type: string
                          enum:
                            - city
                            - county
                            - state
                            - country
                            - reservation
                            - park
                            - military
                            - private
                            - other
                          description: >-
                            Current type of land. These may become more detailed
                            in the future.
                        connections:
                          type: object
                          properties:
                            wikipedia:
                              type: string
                              description: Wikipedia page identifier
                            wikidata:
                              type: string
                              description: Wikidata entity identifier
                          description: External data connections for the land
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            kind:
              type: string

````